Subject: bug#13521: `sort-lines' on the empty region

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Jan 2013 14:04:02 -0500

>> That seems to be considering a different case: not the case of an empty
>> region, but the case where there's no active region.
>> Currently, this case signals an error, but I think I agree it makes
>> sense to let it apply to the whole buffer if there is no active region.
> flush-lines, keep-lines instead operate on all lines after point.

Yes, we have an inconsistency in this respect: some commands use "the
whole buffer" and others use "everything after point".  Whichever choice
we make for sort-lines, it will be inconsistent with some of the
existing commands ;-)

I personally prefer the "whole buffer", but whoever makes the change
gets to make the choice.

        Stefan